# Enable auto build file generation
auto_gen_build_files: {{.AutoGenBuildFiles}}

# Workspace type, [native/web/dotnet]
type: {{.Type}}

# Package ID and version for the Tizen package
package_id: {{.PackageID}}
version: "{{.Version}}"

# Default profile, Tizen API version
profile: {{.ProfileID}}
api_version: "{{.APIVersion}}"

# Signing profile to be used for Tizen package signing
# If value is empty, active signing profile will be used
signing_profile: "{{.SigningProfile}}"

# Build type [debug/ release/ test]
build_type: {{.BuildType}}

# Rootstrap for compiling native app
rootstrap: {{.Rootstrap}}

# Default compiler for native app compilation
compiler: {{.Compiler}}

# default arch for build, [x86/ x86_64/ arm/ aarch64]
arch: {{.Arch}}

# Source files matching these pattern will always be excluded from build
{{- if .SrcFilters }}
src_file_patterns:
{{- range .SrcFilters}}
- "{{to_slash .}}"
{{- end}}
{{- else}}
src_file_patterns: []
{{- end}}

# Source files matching these patterns will only be included while building in test mode
{{- if .TestFilters }}
test_file_patterns:
{{- range .TestFilters}}
- "{{to_slash .}}"
{{- end}}
{{- else}}
test_file_patterns: []
{{- end}}

# List of projects in the workspace and their dependencies
{{- if .Projects }}
projects:
{{- range $Path, $Deps := .Projects}}
  {{- if $Deps }}
  {{to_slash $Path}}:
  {{- range $Deps}}
  - {{to_slash .}}
  {{- end}}
  {{- else}}
  {{to_slash $Path}}: []
  {{- end}}
{{- end }}
{{- else }}
projects: {}
{{- end }}
